Skip to main content

Update a space

PATCH 

/spaces/{owner}/{space}

Update a space by providing its new details.

Path Parameters​


    owner string<handle>required

    The handle of the owner.

    Possible values: non-empty and <= 50 characters


    space string<handle>required

    The handle of the space.

    Possible values: non-empty and <= 50 characters

Body

required

application/json

    handlestring

    The new handle of the space. Must be unique.

    Format: string<handle>

    Possible values: non-empty and <= 50 characters

    Example: space-a

    aliasstring | null

    The new alias of the space.

    Format: string,null<alias>

    Possible values: non-empty and <= 100 characters

    Example: Space A

Responses​

The updated space

Response Body

application/json

    idstringrequired

    The UUID of the space. Is unique.

    Format: string<uuid>
    Example: 00000000-0000-0000-0000-000000000000

    handlestringrequired

    The handle of the space. Is unique.

    Format: string<handle>
    Example: space-a

    aliasstring | nullrequired

    The alias of the space.

    Format: string,null<alias>
    Example: Space A

    ownerobjectrequired

    The owner of the space.


    typestringrequired

    The type of the owner.

    Format: OwnerType (string)

    Possible values: [user, org]

    Example: user

    handlestringrequired

    The handle of the owner. Is unique.

    Format: string<handle>
    Example: user-a

    aliasstring | nullrequired

    The alias of the owner.

    Format: string,null<alias>
    Example: User A

    audiosintegerrequired

    The number of audios of the space.

    Format: integer<int32>
    Example: 10

    voiceprintsintegerrequired

    The number of voiceprints of the space.

    Format: integer<int32>
    Example: 10

    verificationsintegerrequired

    The number of verifications of the space.

    Format: integer<int32>
    Example: 10

    identitiesintegerrequired

    The number of identities of the space.

    Format: integer<int32>
    Example: 10

    createdAtstringrequired

    The date and time when the space was created.

    Format: string<date-time>
    Example: 2023-01-01T00:00:00.000000Z

Example from Schema​

{
"id": "00000000-0000-0000-0000-000000000000",
"handle": "space-a",
"alias": "Space A",
"owner": {
"type": "user",
"handle": "user-a",
"alias": "User A"
},
"audios": 10,
"voiceprints": 10,
"verifications": 10,
"identities": 10,
"createdAt": "2023-01-01T00:00:00.000000Z"
}